package com.xkrs.model.qo;

import java.io.Serializable;

/**
 * @author XinYi Song
 */
public class ProjectQo implements Serializable {
    /**
     * 项目编号
     */
    private String projectNumber;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 项目类型（遥感  视觉）
     */
    private String projectType;

    /**
     * 项目阶段（A-前期交流；B-实施中；C-已完结；D-未赢取）
     */
    private String projectStage;

    /**
     * 甲方
     */
    private String party;

    /**
     * 市场
     */
    private String projectMarket;

    /**
     * 售前
     */
    private String projectSale;

    /**
     * 项目经理
     */
    private String projectManager;

    public ProjectQo() {
    }

    public ProjectQo(String projectNumber, String projectName, String projectType, String projectStage, String party, String projectMarket, String projectSale, String projectManager) {
        this.projectNumber = projectNumber;
        this.projectName = projectName;
        this.projectType = projectType;
        this.projectStage = projectStage;
        this.party = party;
        this.projectMarket = projectMarket;
        this.projectSale = projectSale;
        this.projectManager = projectManager;
    }

    public String getProjectNumber() {
        return projectNumber;
    }

    public void setProjectNumber(String projectNumber) {
        this.projectNumber = projectNumber;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getProjectType() {
        return projectType;
    }

    public void setProjectType(String projectType) {
        this.projectType = projectType;
    }

    public String getProjectStage() {
        return projectStage;
    }

    public void setProjectStage(String projectStage) {
        this.projectStage = projectStage;
    }

    public String getParty() {
        return party;
    }

    public void setParty(String party) {
        this.party = party;
    }

    public String getProjectMarket() {
        return projectMarket;
    }

    public void setProjectMarket(String projectMarket) {
        this.projectMarket = projectMarket;
    }

    public String getProjectSale() {
        return projectSale;
    }

    public void setProjectSale(String projectSale) {
        this.projectSale = projectSale;
    }

    public String getProjectManager() {
        return projectManager;
    }

    public void setProjectManager(String projectManager) {
        this.projectManager = projectManager;
    }

    @Override
    public String toString() {
        return "ProjectQo{" +
                "projectNumber='" + projectNumber + '\'' +
                ", projectName='" + projectName + '\'' +
                ", projectType='" + projectType + '\'' +
                ", projectStage='" + projectStage + '\'' +
                ", party='" + party + '\'' +
                ", projectMarket='" + projectMarket + '\'' +
                ", projectSale='" + projectSale + '\'' +
                ", projectManager='" + projectManager + '\'' +
                '}';
    }
}
