package com.xkrs.service;

import com.xkrs.model.entity.ProjectOverview;
import com.xkrs.model.qo.ProjectQo;
import com.xkrs.model.qo.ProjectUpdateQo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @author XinYi Song
 */
public interface ProjectOverviewService {

    /**
     * 导入遥感项目excel表
     * @param file
     * @throws Exception
     */
    void importRsProjectExcel(MultipartFile file) throws Exception;

    /**
     * 导入视觉项目excel表
     * @param file
     * @throws Exception
     */
    void importCvProjectExcel(MultipartFile file) throws Exception;

    /**
     * 动态多条件查询项目信息
     * @param projectNumber
     * @param projectName
     * @return
     */
    List<ProjectOverview> selectProjectByDynamic(String projectNumber, String projectName);

    /**
     * 新增项目
     * @param projectQo
     * @return
     */
    ProjectOverview insertProjectOverview(ProjectQo projectQo);

    /**
     * 修改项目信息
     * @param projectUpdateQo
     */
    void updateProjectOverview(ProjectUpdateQo projectUpdateQo);

    /**
     * 根据项目编号删除项目
     * @param projectNumber
     */
    void deleteByProjectNumber(String projectNumber);
}
